libmime-tools-perl (5.509-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:56:28 +0800

libmime-tools-perl (5.509-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Oct 2017 15:33:31 +0200

libmime-tools-perl (5.508-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * New upstream version 5.508
  * Drop Provides for libmime-perl.
    Remove now obsolted debian/TODO file listing that we should at some
    point remove the Provides for libmime-perl. The only consumer of it is
    debbugs in unstable (cf. #665001).
  * Drop Breaks+Replaces for libmime-perl (<< 5.425-2)
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 01 Sep 2016 13:31:58 +0200

libmime-tools-perl (5.507-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * debian/copyright: update Upstream-Contact.
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Bump debhelper compatibility level to 9.
  * Mention (main) module name in long description.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Dec 2015 15:44:10 +0100

libmime-tools-perl (5.505-1) unstable; urgency=low

  * Imported Upstream version 5.505
    - clarifies MIME PRIMER location in manpage (Closes: #460394)
  * Update copyright years for included Module::Install copy
  * Drop fix-spelling.patch patch (applied upstream)
  * Bump Standards-Version to 3.9.5
  * Wrap and sort fields in debian/control file

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 02 Dec 2013 23:24:50 +0100

libmime-tools-perl (5.504-1) unstable; urgency=low

  * Imported Upstream version 5.504
    - Addresses problem with otrs2: "-e: open body: Invalid argument at
      /usr/share/perl5/MIME/Entity.pm line 1878." (Closes: #726600).
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Bump Standards-Version to 3.9.4
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Oct 2013 16:09:08 +0200

libmime-tools-perl (5.503-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 5.503
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging files.
  * Refresh fix-spelling.patch patch (offset)
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Jun 2012 18:46:14 +0200

libmime-tools-perl (5.502-1) unstable; urgency=low

  * New upstream release
  * Drop fix-614545-MIME-Words-decode-newlines.patch as it was applied
    upstream.
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to (>= 8).

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Mar 2011 10:22:32 +0100

libmime-tools-perl (5.501-2) unstable; urgency=low

  * Add fix-614545-MIME-Words-decode-newlines.patch patch to fix decoding
    newlines in input of MIME::Words. (Closes: #614545). 

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Feb 2011 15:23:42 +0100

libmime-tools-perl (5.501-1) unstable; urgency=low

  * New upstream release
    - Fix inappropriate inclusion of CR characters in parsed headers
      (Closes: #613887)
  * Add myself to Uploaders
  * debian/copyright: Refresh debian/* stanza.
  * Refresh spelling.patch to fix-spelling.pach. Not all the fixes where
    applied upstream. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Feb 2011 00:21:54 +0100

libmime-tools-perl (5.500-1) unstable; urgency=low

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.1; replace Conflicts with Breaks.

  [ Nicholas Bamber ]
  * Added myself to Uploaders 
  * New upstream release
  * Updated dependencies
  * Refreshed copyright
  * Refreshed and forwarded patch

  [ Ansgar Burchardt ]
  * Make (build-)dep on perl unversioned.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 08 Jan 2011 13:33:03 +0000

libmime-tools-perl (5.428-1) unstable; urgency=low

  [ Jonathan Yu ]
  * updated gregor's e-mail address
  * Removed Alexis Sukrieh from Uploaders (Closes: #536142)
  * Refresh to new debhelper 7 short rules format
  * Use a clean file instead of overriding dh_clean
  * Standards-Version 3.8.3 (no changes)
  * Add myself to Uploaders

  [ gregor herrmann ]
  * Drop transitional dummy package libmime-perl now that lenny is released.
  * Rename source package to libmime-tools-perl.
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  * New upstream release.
  * Convert to source format 3.0 (quilt).
  * Update (build) dependencies.
  * Set Standards-Version to 3.8.4 (no changes).
  * Refresh formatting in debian/copyright.
  * Add a patch to fix spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jun 2010 21:32:48 +0200

mime-tools (5.427-2) unstable; urgency=low

  * remove libfile-temp-perl alternative (build-)dependency.
    Closes: #505645: build-depends alternative on obsolete libfile-temp-perl

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Nov 2008 09:42:52 +0200

mime-tools (5.427-1) unstable; urgency=low

  [ Joey Hess ]
  * perl-modules 5.10 has version 0.18 of File::Temp, so can be dependend
    on instead of libfile-temp-perl.

  [ Damyan Ivanov ]
  * New upstream release
    fix documentation of MIME::Head::get() Closes: #235189
  * copyright: add stanza for inc/*
  * minimize debian/rules using debhelper 7
  * Standards-Version: 3.8.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 09 Jul 2008 23:00:34 +0300

mime-tools (5.426-1) unstable; urgency=low

  * New upstream release.
    Closes: #320531 -- encode_mimewords does not properly encode phrases with
    spaces
  * debian/control:
    - bump dependency on libfile-temp-perl to 0.18
    - add /me to Uploaders
  * Refresh debian/rules with dh-make-perl's help.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 26 Mar 2008 21:03:20 +0100

mime-tools (5.425-2) unstable; urgency=low

  [ Martín Ferrari ]

  * New binary package: libmime-tools-perl (Closes: #297765).
  * Make old binary package a dummy, only containing documentation dir, and
    minimal description. cannot use the symlinks method because of a bug in
    dpkg (couldn't find the number, see Method B in
    http://wiki.debian.org/Renaming_a_Package).
  * Pimp up debian/rules.
  * debian/control:
  - Bumped Standards-Version (no changes).
  - Update to debhelper 6.
  - Removed non-DDs from Uploaders.
  * debian/watch: generalized the version.
  * debian/copyright: moved to new format, and tried to include all
    information, including files that don't have a clear copyright or license
    statment.

  [ gregor herrmann ]
  * Add "Provides: libmime-perl" to make life easier for packages with an
    unversioned dependency on libmime-perl.
  * Add debian/TODO to remind us about dropping the Provides and the dummy
    package.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 15 Jan 2008 23:08:32 -0500

mime-tools (5.425-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ David Paleino ]
  * New upstream release. (Closes: #451619)

  [ Niko Tyni ]
  * Update debian/watch
  * Complete the import of the new upstream release.
    + RFC numbers updated upstream. (Closes: #322389)
  * Update dependencies:
    + Upgrade to libio-stringy-perl (>= 2.110)
    + Unversion libmailtools-perl: the version was obsolete and apparently
      unexact.
    + Add libfile-temp-perl (>= 0.17): perl-modules only has 0.16.
    + Add netbase build-dependency: t/Smtpsend.t requires /etc/protocols.
    + Add libtest-pod-perl build-dependency: better test coverage.
  * Minor improvements and cleanups to debian/rules.
  * Install upstream changelog under /usr/share/doc.
  * Update debian/copyright.
  * Don't install the README-OR-DIE file. The upgrading information inside
    was useful in 1998.
  * Don't install the README file, it's just a copy of the Mail::Tools
    POD documentation.

 -- Niko Tyni <ntyni@iki.fi>  Thu, 29 Nov 2007 23:14:42 +0200

mime-tools (5.420-2) unstable; urgency=low

  * Do not ignore errors from $(MAKE) distclean
  * Remove all of testout/* in clean
    Closes: #442676 -- FTBFS twice in a row
  * Stop exporting DH_COMPAT and use debian/compat
  * Added myself to Uploaders (and wrapped it)
  * Move the test suite from install to build target

 -- Damyan Ivanov <dmn@debian.org>  Sun, 16 Sep 2007 22:08:30 +0300

mime-tools (5.420-1) unstable; urgency=low

  [ gregor herrmann ]
  * New Maintainer: Debian Perl Group.
  * Move debhelper to Build-Depends.
  * Set debhelper compatibility level to 5.
  * Set Standards-Version to 3.7.2 (no changes).
  * Change PWD to CURDIR in debian/rules to avoid problems with sudo.
  * Remove empty /usr/lib/perl5 directory.
  * Add $(MAKE) test to debian/rules and add necessary lib*-perl to Build-Depends-Indep.
  * Acknowledge NMU (closes: #363554).

  [ Alexis Sukrieh ]
  * Fixed the Xs-Vcn-Svn entry in debian/control (missing '/svn' in the path).

 -- Alexis Sukrieh <sukria@debian.org>  Fri,  1 Dec 2006 10:47:32 +0100

mime-tools (5.420-0.1) unstable; urgency=medium

  * NMU (with permission from maintainer)
  * New upstream version (closes: #363400, #363279)
    + Fix quoted-printable regression
  * Remove doc-base support:
    Upstream does not ship any sort of HTML documentation, and whomever
    added it to the Debian package, did not document it or leave any
    code around to regenerate it.  If you want to readd it, please get
    the doc-base file from 5.419-1 or previous, but do it properly and
    generate the **** docs instead of silently copying them inside a
    repacked orig.tar.gz tarball!  Note that all of this documentation
    is easily accessible as manpages (which are shipped in the package),
    and through perldoc anyway.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 19 Apr 2006 15:05:56 -0300

mime-tools (5.419-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2006 18:01:55 +0000

mime-tools (5.418-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2005 16:23:42 +0000

mime-tools (5.417-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2005 00:58:51 +0100

mime-tools (5.415-2) unstable; urgency=low

  * Don't install set-version.pl (closes: #283198).
  * Depend on libconvert-binhex-perl (closes: #286109).
  * Remove reference to libmime-base64-perl in package description.
    Closes: #286108.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2005 00:04:11 +0100

mime-tools (5.415-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Oct 2004 06:45:05 +0100

mime-tools (5.414-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Hijacked package, as proposed
    in http://lists.debian.org/debian-devel/2004/08/msg01041.html

 -- Matthias Klose <doko@debian.org>  Sun, 10 Oct 2004 11:57:37 +0200

mime-tools (5.413-2) unstable; urgency=high

  * NMU
  * Add versioned dependency on perl (>= 5.8.4-2.3) with updated
    MIME-Base64 3.04. Closes: #272260, #272503.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 15:31:26 +0200

mime-tools (5.413-1) unstable; urgency=low

  * NMU 
  * New upstream version, needed as dependency for mailscanner (closes: 271785).
  * Added myself as an uploader for the package.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Sep 2004 21:27:05 +0200

mime-tools (5.411-3) unstable; urgency=low

  * Close bug complaining about perl version skew now that perl 5.8 is in
    testing,
  Closes: #168066
  * Apply MaxMIMMEParts patch from MIMEdefang,
  Closes: #221444

 -- Stephen Zander <gibreel@debian.org>  Mon,  2 Feb 2004 23:20:48 -0800

mime-tools (5.411-2) unstable; urgency=low

  * Fix missing html documentation,
  Closes: #137840
  * Apply security patches to better andle malformed MIME messages,
  Closes: #146448

 -- Stephen Zander <gibreel@debian.org>  Sat, 21 Sep 2002 11:58:27 -0700

mime-tools (5.411-1) unstable; urgency=low

  * New upstream source.
  * Updated for policy 3.5.4 and the new perl packaging policy, Closes: #109945
  * Removed changelog entries from MIME::Tools manpage, Closes: #110059
  * Fixed dependancy on mailtools to reflect new package name, Closes: #113024

 -- Stephen Zander <gibreel@debian.org>  Thu, 22 Nov 2001 16:46:41 -0800

mime-tools (5.410-1) unstable; urgency=low

  * New upstream source.
  * Remove .dhelp file on purge, Closes: #69562

 -- Stephen Zander <gibreel@debian.org>  Tue, 12 Dec 2000 21:18:31 -0800

mime-tools (5.314-1) unstable; urgency=low

  * New upstream source.

 -- Stephen Zander <gibreel@debian.org>  Wed, 20 Sep 2000 16:11:20 -0700

mime-tools (5.311-1) unstable; urgency=low

  * New upstrean source, Closes: #67925

 -- Stephen Zander <gibreel@debian.org>  Sat, 19 Aug 2000 15:51:52 -0700

mime-tools (4.124-1) unstable; urgency=low

  * New upstream version.
  * Fixed 'Ambiguous use of CORE::open', closes: #42575
  * Rolled in NMU changes, closes: #41156

 -- Stephen Zander <gibreel@debian.org>  Tue, 18 Apr 2000 13:58:21 -0700

mime-tools (4.121-2.1) frozen unstable; urgency=low

  * NMU for the perl upgrade.
  * Corrected the rules file.
  * Added doc-base stuff for the documentation instead of
    the menu file. Corrected the postinst / prerm accordingly.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Mon, 12 Jul 1999 12:17:28 +0200

mime-tools (4.121-2) frozen unstable; urgency=low

  * New maintainer.

 -- Stephen Zander <gibreel@debian.org>  Mon,  1 Feb 1999 09:41:33 -0800

mime-tools (4.121-1) unstable; urgency=low

  * Upgraded to new upstream version MIME-tools-4.121
  * Upgraded Standards-Version: to 2.4.1.3

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  2 Sep 1998 21:51:33 -0400

mime-tools (4.116-2) unstable; urgency=low

  * Converted debian/rules to debhelper
  * Corrected 0444 filemodes from Perl installation (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Apr 1998 20:38:18 -0400

mime-tools (4.116-1) unstable; urgency=low

  * Upgraded to new upstream version MIME-tools-4.116 which was described
    on comp.perl.announce as a 'vital bug-fix release' because 'certain
    methods were not downcasing the content-type they returned'
  * Changed debian/rules to change mode of files that are going to be 
    installed below /usr/lib/perl5/MIME/ from 444 to 644 (lintian)
    I suspect that this is a Perl bug as I use 'make pure_install'

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Feb 1998 20:36:16 -0500

mime-tools (4.113-1) unstable; urgency=low

  * Upgraded to new upstream version MIME-tools-4.113
  * Changed name of the source package to mime-tools to reflect CPAN, the
    Debian package is still called libmime-perl
  * Use pristine sources in mime-tools_4.113.orig.tar.gz
  * Change debian/control to depend on the libmime-base64-perl package
    which contains XS functions for {en,de}coding (these used to be in 
    the libwww-perl package on which this package used to depend)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  5 Feb 1998 21:39:29 -0500

libmime-perl (3.204-1) unstable; urgency=low

  * Initial Debian release.

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Aug 1997 15:22:44 -0400
